Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
reet
Posts: 25
Registered: ‎03-29-2011
My Device: 9000 BOLD

Re: how to start opengl application development

ammm m using plugin workspace 1.3 and tried 1.1 also.

i tried to install plugin for blackberry from eclipse but it was not completed.

so i install the full plugin siftware from blackberry site and now m using that.

 

reet

Please use plain text.
Developer
rcmaniac25
Posts: 1,805
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.3253, Z10 (STL100-3)-10.3.1.634 Dev OS, Z30 (STA100-5)-10.3.1.634 Dev OS, Passport (SQW100-1)-10.3.0.1418, PlayBook (16GB)-2.1.0.1917

Re: how to start opengl application development

Ok, you use component packs (not JDEs as I was getting confused with before). As stated before, you need to have either component pack 5.0 or 6.0 installed in order to develop OpenGL apps.

 

You need to test on one of these devices/simulators:

http://supportforums.blackberry.com/t5/Java-Development/BlackBerry-Smartphones-that-support-OpenGL-E...

 

I use Eclipse, with plugin 1.3, and test an app written in 5.0 on a 9550 simulator and it works (with the code I use in another thread you posted in).

 

If you are using a compatible device/simulator and are developing with the correct component pack, then I would suggest putting a try/catch block within the run function to try and catch any exceptions. Being a thread it simply ends the thread, so nothing ever shows up (default screen background color is white).

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Contributor
reet
Posts: 25
Registered: ‎03-29-2011
My Device: 9000 BOLD

Re: how to start opengl application development

hi

 

i m trying to download component pack 5.0 from the blackberry site via help -> install new software

but its taking lots of time and failed twice , its giving error in downloading again and again.

 

and i also checked in about bleckberry tab to check the installed components and i found

NAME- Blackberry Java SDK

Version   -   6.0.0.30

Id-  net.rim.ejde.feature.componentpack6.0.0.feature.group

  (BlackBerry Java SDK 6.0.0.30 net.rim.ejde.feature.componentpack6.0.0.feature.group)

 

 

are you talking about this component pack???

 

 

thanks 

reet

Please use plain text.
Developer
rcmaniac25
Posts: 1,805
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.3253, Z10 (STL100-3)-10.3.1.634 Dev OS, Z30 (STA100-5)-10.3.1.634 Dev OS, Passport (SQW100-1)-10.3.0.1418, PlayBook (16GB)-2.1.0.1917

Re: how to start opengl application development

[ Edited ]

Hmm, if you can't install the Component Pack then you need to install a compatable simulator. 6.0 comes with the Torch but that doesn't support OpenGL.

 

Do a search for OpenGL devices and you should get a table in the KB. It will let you know what sims you can try out, anything without an * is component pack 5.0. Anything with an * is component pack 6.0.

 

 

Edit: Try again with the downloading. According to this:

http://supportforums.blackberry.com/t5/Java-Development/Problems-downloading-from-BlackBerry-com/td-...

 

The issue occured before your post and was fixed after your post.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Contributor
reet
Posts: 25
Registered: ‎03-29-2011
My Device: 9000 BOLD

Re: how to start opengl application development

Installed component packs via update site. and i tried the code with that and simulator 8530 but that have no icon formed for the application code  ie RIM2dTRI

 

I checked everywhere i simulator but to no avail :-(

Please use plain text.